#################### general parameters ####################

# parameter for providing the resource path (see application.webdata.path)
application.webdata.pathparam=logrendresourcepath

# default value for the resource path (nevisProxy needs a forward connector with MappingType=pathinfo and URIPrefix=/login/resources)
application.webdata.pathparam.default=/login/resources

# path to webdata directory for http requests (relative to context)
# isiweb must redirect all requests within this path to logrend (used for images, css, js)
# {0} is replaced with the query parameter defined via "application.webdata.pathparam" (to be provided by isiweb)
# {1} is replaced with the context path of the webapp (without the leading /)
# {2} is replaced by a slash if both {0} and {1} are not empty
# a tailing slash is added if the resulting path is not empty
application.webdata.path={0}{2}{1}

# obfuscate urls
application.url.obfuscate=no

# charset of incoming GuiDescriptor XML (default: <file.encoding> - default for -Dfile.encoding is ISO-8859-1)
application.input.charset=UTF-8

# HTML-encode any inputs before putting them in the output
# (*only* set to "no" if isiweb already encodes the user inputs)
application.inputs.htmlencode=yes
# HTML-encode any GUI element values before putting them in the output - velocity only (default: no, for backwards compatibility)
#application.inputs.htmlencode.guielems=yes

# content type (default: text/html; charset=<file.encoding> - default for file.encoding is ISO-8859-1)
application.render.content.type=text/html; charset=UTF-8

# name of the package
application.package.name=nevislogrend

# name of the current login application (if not empty, this is always used)
application.loginapp.current=

# name of the default login application (used if login application is not defined by other means)
application.loginapp.default=${default-app}

# allow overriding the login application via a configurable header
# the resulting login application name is _<header><headerValue> for historical reasons
application.loginapp.override=header:channel

# time in minutes after which a cache-entry should be checked against the source (0 to turn revalidation off completely)
cache.revalidate.delay=-1

# read cached data from files (file) or from classloader (class)
# if both are given, try to find the file in the given order
cache.source=file

# tags for variable substitution in GUI labels
keytag.start=${
keytag.end=}

# perform litdict mapping on GUI labels
application.gui.litdict=yes

# perform ${bean.<name>} variable substitution on GUI labels
application.gui.substitution=yes

# allow extraction of loginapplicationid from path info (first part until /):
application.accept.loginapplicationidfromuri=no

# Container related configuration
server.name=default

# The protocol that can be used to connect to this instance
# Allowed values: http, https
server.protocol=${protocol}

# the hostname on which the component listener will be installed
server.host=${host}

# the port on which the components listener binds to.
server.port=${port}

# the path section contains all the items lying around in the filesystem
# this points to the instance's configuration folder
path.config=/var/opt/nevislogrend/${instance}/conf
path.instance=/var/opt/nevislogrend/${instance}

${keystore}${keystore-password}${truststore}${truststore-password}

management.healthchecks.enabled=${healthchecks}